using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.BusinessLogicsContracts
{
    public interface IPaymentLogic
    {
        List<PaymentViewModel>? ReadList(PaymentSearchModel? model);
        PaymentViewModel? ReadElement(PaymentSearchModel model);
        bool Create(PaymentBindingModel model);
        bool Update(PaymentBindingModel model);
        bool Delete(PaymentBindingModel model);
    }
}
